import guru.animator.*;

Sequence sx = new Sequence();
Sequence sy = new Sequence();

void setup() {
  size(300,300);
  
  sx.addAnimator( new SquareAnimator(500,100,200));
  sx.addAnimator( new Delay(500,200));
  sx.addAnimator( new SquareAnimator(500,200,100));
  sx.addAnimator( new Delay(500,100));

  sy.addAnimator( new Delay(500,100));
  sy.addAnimator( new SquareAnimator(500,100,200));
  sy.addAnimator( new Delay(500,200));
  sy.addAnimator( new SquareAnimator(500,200,100));
  
  smooth();
}

void draw() {
  background(0);
  fill(128);
  stroke(255);
  ellipse( sx.get(), sy.get(), 30, 30 );
 
}

void mouseClicked() {
  sx.start();
  sy.start();
}
